[Forensics-changes] [crack] 37/40: Use debian/Crack.make instead of Crack.make via patch

Giovani Augusto Ferreira giovani-guest at moszumanska.debian.org
Wed Dec 28 02:47:56 UTC 2016


This is an automated email from the git hooks/post-receive script.

giovani-guest pushed a commit to branch debian
in repository crack.

commit 80690b49fccfe6094c2b0320ad0d250ceb6b44d9
Author: Axel Beckert <abe at deuxchevaux.org>
Date:   Mon Oct 10 03:28:22 2016 +0200

    Use debian/Crack.make instead of Crack.make via patch
    
    Gbp-Dch: Ignore
---
 debian/Crack.make               | 210 ++++++++++++++++++++++++++++++++++++++
 debian/patches/Crack.make.patch | 216 ----------------------------------------
 debian/patches/series           |   1 -
 debian/rules                    |   5 +-
 4 files changed, 212 insertions(+), 220 deletions(-)

diff --git a/debian/Crack.make b/debian/Crack.make
new file mode 100755
index 0000000..22b4359
--- /dev/null
+++ b/debian/Crack.make
@@ -0,0 +1,210 @@
+#!/bin/sh
+###
+# This program was written by and is copyright Alec Muffett 1991,
+# 1992, 1993, 1994, 1995, and 1996, and is provided as part of the
+# Crack v5.0 Password Cracking package.
+#
+# The copyright holder disclaims all responsibility or liability with
+# respect to its usage or its effect upon hardware or computer
+# systems, and maintains copyright as set out in the "LICENCE"
+# document which accompanies distributions of Crack v5.0 and upwards.
+#
+# This is the Crack.makeonly version which *only* compiles the utilities
+# under run/dir used for Crack
+#
+# This program was made based on Crack by Javier Fernández-Sanguino Peña
+# for the Debian GNU/Linux distribution
+
+###
+# User-configurable junk for Crack
+###
+
+# nice, generic path (RedHat Linux, Solaris1, Solaris2)
+CRACK_PATH=/usr/local/bin:/usr/ccs/bin:/usr/sbin:/sbin:/usr/bin:/bin:/usr/ucb:/usr/etc:$PATH
+
+# compiler options for crack 5.0
+#
+# -DUSE_BZERO        /* add this to C5FLAGS if you don't have memset() */
+# -DUSE_MALLOC_H
+# -DUSE_PWD_H
+# -DUSE_SIGNAL_H
+# -DUSE_STDLIB_H
+# -DUSE_STRINGS_H
+# -DUSE_STRING_H
+# -DUSE_SYS_TYPES_H
+# -DUSE_UNISTD_H
+# -DMAXWORDLEN=      /* ignore if you don't read the code */
+# -DNUMWORDS=        /* ignore if you don't read the code */
+# -DSTRINGSIZE=      /* ignore if you don't read the code */
+
+# this set tested on:
+# - solaris 2.5
+# - redhat linux 4.0
+# - digital unix v4.0
+
+C5FLAGS="-DUSE_STRING_H -DUSE_STDLIB_H -DUSE_SIGNAL_H -DUSE_SYS_TYPES_H -DUSE_UNISTD_H -DUSE_PWD_H"
+
+#
+# now pick your compiler
+#
+
+# vanilla unix cc
+#CC=cc
+#CFLAGS="-g -O $C5FLAGS"
+#LIBS=-lcrypt # uncomment only if necessary to use stdlib crypt(), eg: NetBSD MD5
+
+# gcc 2.7.2
+CC=gcc
+CFLAGS="-g -O2 -Wall $C5FLAGS"
+LIBS=-lcrypt # uncomment only if necessary to use stdlib crypt(), eg: NetBSD MD5
+
+# digital unix v4.0, CFLAGS for ev4/ev5 chipsets (pick one)
+#CC=cc
+#CFLAGS="-O4 -fast -tune ev4 $C5FLAGS"
+#CFLAGS="-O4 -fast -tune ev5 $C5FLAGS"
+#LIBS=
+
+# Uncomment the next two lines if a) you are running Crack in
+# networking mode, and b) your environment's operating system will not
+# necessarily run binaries compiled on other revs of the same
+# operating system which have the same architecture and the same
+# *MAJOR* revision number.
+#
+# eg: if you have Foonix 2.0 boxes as well as Foonix 2.1 boxes; in
+# this example, the major revision number is "2".  If the Foonix 2.1
+# O/S will not run Foonix 2.0 binaries for some reason, or vice-versa,
+# then uncomment these lines.
+
+#STRICT_OSREV=yes
+#export STRICT_OSREV
+
+# Uncomment and/or modify on HP/UX or similar where the UCB "rsh"
+# command has been renamed.  See scripts/crack-rsh also
+#CRACK_RSH=remsh
+#CRACK_RCP=rcp
+
+###########################################################
+###########################################################
+#################### THAT'S ALL, FOLKS ####################
+#### NOW GO CONFIGURE YOUR CRYPT ALGORITHM, EG: LIBDES ####
+###########################################################
+###########################################################
+
+###
+# security
+###
+
+umask 077
+export CRACK_PATH                       # So it can be picked up later
+PATH=$CRACK_PATH                        # For temporary use...
+export PATH
+
+###
+# Defaults
+###
+
+usage="Usage: Crack [options] [bindir] [[-fmt format] files]..."
+
+version="5.0a"                          # version string
+deffmt=trad                             # for default trad2spf
+dodie=""                                # for verbose usage/die
+debug="false"                           # ...guess...
+node=`uname -n`                         # more portable then `hostname`
+
+###
+# home base
+###
+
+CRACK_HOME=.
+
+if cd $CRACK_HOME
+then
+	CRACK_HOME=`pwd`
+else
+	echo "Fatal Error: $CRACK_HOME: cannot chdir" 1>&2
+	exit 1
+fi
+
+export CRACK_HOME
+
+###
+# sanity check
+###
+
+if [ ! -f "$CRACK_HOME/Crack" ]
+then
+	echo "Fatal Error: $CRACK_HOME: something weird going down" 1>&2
+	exit 1
+fi
+
+###
+# Hierarchy
+###
+
+for dir in lib lib/bin
+do
+	test -d $dir || mkdir $dir || exit 1
+done
+
+###
+# Flagwaving
+###
+
+echo "Crack $version: The Password Cracker."
+echo "(c) Alec Muffett, 1991, 1992, 1993, 1994, 1995, 1996"
+echo "System:" `uname -a 2>/dev/null`
+echo "Home: $CRACK_HOME"
+echo "Invoked: $0 $*"
+
+
+###
+# Sanity test bindir - written in gruntscript for clarity.
+###
+
+bdname=`scripts/binstamp 2>/dev/null`
+
+if [ "x$bdname" = "x" ]
+then
+	echo "Crack: error: cannot continue as binstamp returned empty string" 1>&2
+	exit 0
+fi
+
+echo "Stamp: $bdname"
+echo ""
+
+bindir=lib/bin/$bdname
+
+
+###
+# Reset PATH in advance
+###
+
+PATH=$CRACK_HOME/scripts:$CRACK_HOME/$bindir:$PATH
+export PATH
+
+###
+# Make the binaries
+###
+
+echo "Crack: making utilities in $bindir"
+
+if [ ! -d $bindir ] # small redundancy, big benefit
+then
+	mkdir $bindir || exit 1
+fi
+
+make clean || exit 1
+
+make ARGS="\"XDIR=../../$bindir\" \"XCFLAGS=$CFLAGS\" \"XCC=$CC\" \"XLIBS=$LIBS\"" utils || exit 1
+
+###
+# Make Only ?
+###
+
+if [ "x$makeonlyflag" != "x" ]
+then
+	echo "Crack: makeonly done"
+	exit 0
+fi
+
+exit 0
diff --git a/debian/patches/Crack.make.patch b/debian/patches/Crack.make.patch
deleted file mode 100644
index 18e8069..0000000
--- a/debian/patches/Crack.make.patch
+++ /dev/null
@@ -1,216 +0,0 @@
-Description: Debian-specific build script based on the upstream one
- Imported from .diff.gz of crack 5.0a-9.4
-
---- crack-5.0a.orig/Crack.make
-+++ crack-5.0a/Crack.make
-@@ -0,0 +1,210 @@
-+#!/bin/sh
-+###
-+# This program was written by and is copyright Alec Muffett 1991,
-+# 1992, 1993, 1994, 1995, and 1996, and is provided as part of the
-+# Crack v5.0 Password Cracking package.
-+#
-+# The copyright holder disclaims all responsibility or liability with
-+# respect to its usage or its effect upon hardware or computer
-+# systems, and maintains copyright as set out in the "LICENCE"
-+# document which accompanies distributions of Crack v5.0 and upwards.
-+#
-+# This is the Crack.makeonly version which *only* compiles the utilities
-+# under run/dir used for Crack
-+#
-+# This program was made based on Crack by Javier Fernández-Sanguino Peña
-+# for the Debian GNU/Linux distribution
-+
-+###
-+# User-configurable junk for Crack
-+###
-+
-+# nice, generic path (RedHat Linux, Solaris1, Solaris2)
-+CRACK_PATH=/usr/local/bin:/usr/ccs/bin:/usr/sbin:/sbin:/usr/bin:/bin:/usr/ucb:/usr/etc:$PATH
-+
-+# compiler options for crack 5.0
-+#
-+# -DUSE_BZERO        /* add this to C5FLAGS if you don't have memset() */
-+# -DUSE_MALLOC_H
-+# -DUSE_PWD_H
-+# -DUSE_SIGNAL_H
-+# -DUSE_STDLIB_H
-+# -DUSE_STRINGS_H
-+# -DUSE_STRING_H
-+# -DUSE_SYS_TYPES_H
-+# -DUSE_UNISTD_H
-+# -DMAXWORDLEN=      /* ignore if you don't read the code */
-+# -DNUMWORDS=        /* ignore if you don't read the code */
-+# -DSTRINGSIZE=      /* ignore if you don't read the code */
-+
-+# this set tested on:
-+# - solaris 2.5
-+# - redhat linux 4.0
-+# - digital unix v4.0
-+
-+C5FLAGS="-DUSE_STRING_H -DUSE_STDLIB_H -DUSE_SIGNAL_H -DUSE_SYS_TYPES_H -DUSE_UNISTD_H -DUSE_PWD_H"
-+
-+#
-+# now pick your compiler
-+#
-+
-+# vanilla unix cc
-+#CC=cc
-+#CFLAGS="-g -O $C5FLAGS"
-+#LIBS=-lcrypt # uncomment only if necessary to use stdlib crypt(), eg: NetBSD MD5
-+
-+# gcc 2.7.2
-+CC=gcc
-+CFLAGS="-g -O2 -Wall $C5FLAGS"
-+LIBS=-lcrypt # uncomment only if necessary to use stdlib crypt(), eg: NetBSD MD5
-+
-+# digital unix v4.0, CFLAGS for ev4/ev5 chipsets (pick one)
-+#CC=cc
-+#CFLAGS="-O4 -fast -tune ev4 $C5FLAGS"
-+#CFLAGS="-O4 -fast -tune ev5 $C5FLAGS"
-+#LIBS=
-+
-+# Uncomment the next two lines if a) you are running Crack in
-+# networking mode, and b) your environment's operating system will not
-+# necessarily run binaries compiled on other revs of the same
-+# operating system which have the same architecture and the same
-+# *MAJOR* revision number.
-+#
-+# eg: if you have Foonix 2.0 boxes as well as Foonix 2.1 boxes; in
-+# this example, the major revision number is "2".  If the Foonix 2.1
-+# O/S will not run Foonix 2.0 binaries for some reason, or vice-versa,
-+# then uncomment these lines.
-+
-+#STRICT_OSREV=yes
-+#export STRICT_OSREV
-+
-+# Uncomment and/or modify on HP/UX or similar where the UCB "rsh"
-+# command has been renamed.  See scripts/crack-rsh also
-+#CRACK_RSH=remsh
-+#CRACK_RCP=rcp
-+
-+###########################################################
-+###########################################################
-+#################### THAT'S ALL, FOLKS ####################
-+#### NOW GO CONFIGURE YOUR CRYPT ALGORITHM, EG: LIBDES ####
-+###########################################################
-+###########################################################
-+
-+###
-+# security
-+###
-+
-+umask 077
-+export CRACK_PATH                       # So it can be picked up later
-+PATH=$CRACK_PATH                        # For temporary use...
-+export PATH
-+
-+###
-+# Defaults
-+###
-+
-+usage="Usage: Crack [options] [bindir] [[-fmt format] files]..."
-+
-+version="5.0a"                          # version string
-+deffmt=trad                             # for default trad2spf
-+dodie=""                                # for verbose usage/die
-+debug="false"                           # ...guess...
-+node=`uname -n`                         # more portable then `hostname`
-+
-+###
-+# home base
-+###
-+
-+CRACK_HOME=.
-+
-+if cd $CRACK_HOME
-+then
-+	CRACK_HOME=`pwd`
-+else
-+	echo "Fatal Error: $CRACK_HOME: cannot chdir" 1>&2
-+	exit 1
-+fi
-+
-+export CRACK_HOME
-+
-+###
-+# sanity check
-+###
-+
-+if [ ! -f "$CRACK_HOME/Crack" ]
-+then
-+	echo "Fatal Error: $CRACK_HOME: something weird going down" 1>&2
-+	exit 1
-+fi
-+
-+###
-+# Hierarchy
-+###
-+
-+for dir in lib lib/bin
-+do
-+	test -d $dir || mkdir $dir || exit 1
-+done
-+
-+###
-+# Flagwaving
-+###
-+
-+echo "Crack $version: The Password Cracker."
-+echo "(c) Alec Muffett, 1991, 1992, 1993, 1994, 1995, 1996"
-+echo "System:" `uname -a 2>/dev/null`
-+echo "Home: $CRACK_HOME"
-+echo "Invoked: $0 $*"
-+
-+
-+###
-+# Sanity test bindir - written in gruntscript for clarity.
-+###
-+
-+bdname=`scripts/binstamp 2>/dev/null`
-+
-+if [ "x$bdname" = "x" ]
-+then
-+	echo "Crack: error: cannot continue as binstamp returned empty string" 1>&2
-+	exit 0
-+fi
-+
-+echo "Stamp: $bdname"
-+echo ""
-+
-+bindir=lib/bin/$bdname
-+
-+
-+###
-+# Reset PATH in advance
-+###
-+
-+PATH=$CRACK_HOME/scripts:$CRACK_HOME/$bindir:$PATH
-+export PATH
-+
-+###
-+# Make the binaries
-+###
-+
-+echo "Crack: making utilities in $bindir"
-+
-+if [ ! -d $bindir ] # small redundancy, big benefit
-+then
-+	mkdir $bindir || exit 1
-+fi
-+
-+make clean || exit 1
-+
-+make ARGS="\"XDIR=../../$bindir\" \"XCFLAGS=$CFLAGS\" \"XCC=$CC\" \"XLIBS=$LIBS\"" utils || exit 1
-+
-+###
-+# Make Only ?
-+###
-+
-+if [ "x$makeonlyflag" != "x" ]
-+then
-+	echo "Crack: makeonly done"
-+	exit 0
-+fi
-+
-+exit 0
diff --git a/debian/patches/series b/debian/patches/series
index 593cc5c..7998131 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -1,4 +1,3 @@
-Crack.make.patch
 Crack.patch
 Makefile.patch
 conf___dictgrps.conf.patch
diff --git a/debian/rules b/debian/rules
index 642c23a..6df68c4 100755
--- a/debian/rules
+++ b/debian/rules
@@ -11,14 +11,13 @@ export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 	dh $@
 
 override_dh_auto_build:
-	chmod 755 Crack.make
-	./Crack.make 
+	debian/Crack.make
 	# this is the crypt version, move it to other place
 	mv lib/bin/debian/ lib/bin/debian-crypt
 	# To build the MD5 version
 	mv src/libdes src/libdes.orig
 	cd src/util && cp elcid.c elcid.c.orig && cp elcid.c,bsd elcid.c
-	./Crack.make
+	debian/Crack.make
 	mv lib/bin/debian/ lib/bin/debian-md5
 	# Now restore it to the previous situation
 	mv src/libdes.orig src/libdes

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/forensics/crack.git



More information about the forensics-changes mailing list